<template>
  <div>
    <b-table 
      :items="result"
      @row-dblclicked="deleteRel"/>

    <rel-monster-path-forms></rel-monster-path-forms>
  </div>
</template>

<script>
import RelMonsterPathForms from '~/components/RelMonsterPathForms.vue'

export default {
  components: {
    RelMonsterPathForms
  },
  data() {
    return {
      result: ''
    };
  },
  methods: {
    deleteRel(record, index) {
      let ins = this;

      if (confirm(`Deseja apagar ${record.id}?`))
        this.$axios({
          method: 'delete',
          url: `http://localhost:3000/rel_monster_paths/${record.id}`
        })
          .then(res => ins.$router.go())
          .catch(err => console.log(err));
    }
  },
  created() {
    let ins = this;
    this.$axios({
      method: 'get',
      url: 'http://localhost:3000/rel_monster_paths'
    })
      .then(res => {
        if (res.data.length == 0)
          ins.result = [{
            'Buffs': 'empty'
          }]
        else
          ins.result = res.data;
      })
      .catch(err => {
        ins.result = [{
          error: 'Errou, otário'
        }];
      })
  }
}
</script>

<style>

</style>
